# $Revision: 1.34 $, $Date: 2002/06/16 09:45:08 $
Summary:	Ipmasqadm utility
Summary(es):	Utilitario ipmasqadm
Summary(pl):	Narzdzie ipmasqadm
Summary(pt_BR):	Utilitrio ipmasqadm
Name:		ipmasqadm
Version:	0.4.2
Release:	5
License:	distributable
Group:		Networking/Admin
Source0:	http://juanjox.kernelnotes.org/%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}.make.diff
Patch1:		%{name}-no_dlopen.patch
BuildRequires:	kernel-headers < 2.3.0
Conflicts:	kernel >= 2.3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This tool allows ipmasq addtional setup, it is needed if you want to
activate port forwarding or auto forwarding in 2.2 kernels.

%description -l es
Esta herramienta permite la configuracin adicional de ipmasq, y puede
usarse en caso de que se desee activar una salida de reenvo y reenvo
automtico.

%description -l pl
To narzdzie pozwala na aktywowanie forwardowania portw lub
automatycznego forwardowania w kernelach 2.2.

%description -l pt_BR
Essa ferramenta permite configurao adicional do ipmasq, e pode ser
usada caso voc deseje ativar port forwarding e auto forwarding.

%prep
%setup -q
%patch -p1
%patch1 -p1

%build
%{__make} OPT="%{rpmcflags}" KSRC=%{_kernelsrcdir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_libdir}/ipmasqadm}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/* ChangeLog
%attr(755,root,root) %{_sbindir}/ipmasqadm
%dir %{_libdir}/ipmasqadm
%attr(755,root,root) %{_libdir}/ipmasqadm/*.so
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: ipmasqadm.spec,v $
Revision 1.34  2002/06/16 09:45:08  kloczek
- merge translations from Conectiva nad use new %doc.

Revision 1.33  2002/04/25 16:37:08  arturs
fixed a small typo

Revision 1.32  2002/03/05 18:00:14  marcus
- removed uclibc stuff
- rel.5.

Revision 1.31  2002/02/22 23:29:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.30  2002/02/18 22:20:34  gotar
- %desc

Revision 1.29  2002/01/21 17:42:38  malekith
- rel 4
- BOOT -> embed

Revision 1.28  2002/01/18 02:13:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.27  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.26  2001/09/04 08:22:42  orzech
 - ipmasqadm-no_dlopen.patch fixed, now ipmasqadm::portfw works fine
 - release: 3. STBR

Revision 1.25  2001/08/19 20:27:05  saq
- use %%_kernelsrcdir
- BuildRequires kernel-headers < 2.3.0
- Conflicts kernel >= 2.3.0

Revision 1.24  2001/06/20 03:12:53  kloczek
- final cleanups.

Revision 1.23  2001/06/16 13:06:24  klakier
- added no_ldopen.patch (ifdef NO_LDOPEN, allow linking single binary)

Revision 1.22  2001/06/16 11:28:42  klakier
- added BOOT package (untested)

Revision 1.21  2001/04/30 16:05:20  kloczek
- added using %%{rpmcflags} macro.

Revision 1.20  2001/01/25 20:03:24  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.19  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.18  2000/10/29 08:00:09  kloczek
- spec adaptrerized and now also %%{debug} friendly,
- use new rpm automation,
- removed using SbO in permission.

Revision 1.17  2000/10/28 22:45:57  misiek
updated source url

Revision 1.16  2000/06/09 07:23:03  kloczek
- added using %%{__make} macro.

Revision 1.15  2000/05/21 01:39:51  kloczek
- spec adapterized.

Revision 1.14  2000/05/05 15:05:59  mis
- Group: synced with PLD groups

Revision 1.13  2000/04/01 11:14:46  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.12  2000/03/28 16:54:34  baggins
- translated kloczkish into english

Revision 1.11  1999/07/20 11:04:33  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.9  1999/07/12 23:05:58  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon May 24 1999 Micha Kuratczyk <kura@pld.org.pl>
  [0.4.2-2]
- fixed Group(pl)
- gzipping %doc instead bzipping

* Sat Jan 23 1999 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
  [0.4.2-1d]
- new upstream release for newest 2.2 kernels
